## netbeans 8.0.2+dfsg1

=== dlight.nativeexecution/tools/killall/Makefile ===
MAKEFILE = $(shell echo gmake)
MAKEFILE:sh = echo make
ROOT_DIR = $(shell pwd)
ROOT_DIR:sh = pwd
OS = $(shell uname -s)
OS:sh = uname -s

ifeq (armv, $(shell expr substr `arch` 1 4))
    CONF=$(OS)-arm
else
    CONF=$(OS)-x86
endif

PNAME=killall
CC=gcc

SOURCES_SunOS=\
	$(ROOT_DIR)/src/solaris/pfind.c

SOURCES_Linux=\
	$(ROOT_DIR)/src/linux/pfind.c

SOURCES_Mac=\
	$(ROOT_DIR)/src/macosx/pfind.c

SOURCES_SunOS-x86=$(SOURCES_SunOS)
SOURCES_SunOS-x86_64=$(SOURCES_SunOS)
SOURCES_SunOS-sparc=$(SOURCES_SunOS)
SOURCES_SunOS-sparc_64=$(SOURCES_SunOS)
SOURCES_Linux-x86=$(SOURCES_Linux)
SOURCES_Linux-arm=$(SOURCES_Linux)
SOURCES_Linux-x86_64=$(SOURCES_Linux)
SOURCES_MacOSX-x86=$(SOURCES_Mac)
SOURCES_MacOSX-x86_64=$(SOURCES_Mac)

SOURCES=\
	$(ROOT_DIR)/src/error.c \
	$(ROOT_DIR)/src/killall.c \
	$(ROOT_DIR)/src/options.c \
	$(SOURCES_$(CONF))

SRC_DIRS=\
	$(ROOT_DIR)/src \
	$(ROOT_DIR)/src/linux \
	$(ROOT_DIR)/src/solaris \
	$(ROOT_DIR)/src/macosx

MKDIR=mkdir -p
OBJ_DIR=$(ROOT_DIR)/build/$(CONF)
DIST_DIR=$(ROOT_DIR)/dist/$(CONF)
INSTALL_DIR=../../release/bin/nativeexecution/$(CONF)
LINE=sh $(ROOT_DIR)/make/line

EXEC=$(DIST_DIR)/$(PNAME)

CF_COMMON         = -s -O2
CF_Linux-x86      = $(CF_COMMON) -DLINUX -m32
CF_Linux-arm      = $(CF_COMMON) -DLINUX   -D_GNU_SOURCE -D_XOPEN_SOURCE=700 -std=c99
CF_MacOSX-x86     = $(CF_COMMON) -DMACOSX  -D_DARWIN_C_SOURCE -m32
CF_SunOS-sparc    = $(CF_COMMON) -DSOLARIS -D__EXTENSIONS__ -m32
CF_SunOS-x86      = $(CF_COMMON) -DSOLARIS -D__EXTENSIONS__ -m32
CF_Windows-x86    = $(CF_COMMON) -DWINDOWS -m32

CF_Linux-x86_64   = $(CF_COMMON) -DLINUX -m64
CF_MacOSX-x86_64  = $(CF_COMMON) -DMACOSX  -m64
CF_SunOS-sparc_64 = $(CF_COMMON) -DSOLARIS -D__EXTENSIONS__ -m64
CF_SunOS-x86_64   = $(CF_COMMON) -DSOLARIS -D__EXTENSIONS__ -m64
CF_Windows-x86_64 = $(CF_COMMON) -DWINDOWS -m32

LF_Windows-x86    = --static-libgcc
LF_Windows-x86_64 = --static-libgcc
LF_SunOS-x86      = -lrt
LF_SunOS-x86_64   = -lrt
LF_SunOS-sparc    = -lrt
LF_SunOS-sparc_64 = -lrt

CFLAGS=$(CF_$(CONF))
LDFLAGS=$(LF_$(CONF))

all: $(EXEC)
	@$(LINE) =
	@echo $(EXEC); echo
	@ls -la $(EXEC) | sed "s#$(EXEC)##"
	@FILE=`(ls /bin/file || ls /usr/bin/file) 2>/dev/null`; \
	   if [ -n "$${FILE}" ]; then $${FILE} ${EXEC} | sed "s#$(EXEC):.##"; fi
	@$(LINE) =

include $(ROOT_DIR)/make/Makefile.$(MAKEFILE)

$(EXEC): $(DIST_DIR) $(OBJS)
	@$(LINE) -
	$(LINK.c) -o $@ $(OBJS)

$(OBJ_DIRS) $(DIST_DIR):
	$(MKDIR) $@

clean: clean_deps
	$(RM) -r $(OBJ_DIR) $(DIST_DIR)

clean-all:
	$(RM) -r $(ROOT_DIR)/build
	$(RM) -r $(ROOT_DIR)/dist

install:
	cp $(EXEC) $(INSTALL_DIR)

=== dlight.nativeexecution/tools/pty/Makefile ===
MAKEFILE = $(shell echo gmake)
MAKEFILE:sh = echo make
ROOT_DIR = $(shell pwd)
ROOT_DIR:sh = pwd
OS = $(shell uname -s)
OS:sh = uname -s

ifeq (armv, $(shell expr substr `arch` 1 4))
    CONF=$(OS)-arm
else
    CONF=$(OS)-x86
endif

PNAME=pty
CC=gcc

SOURCES=\
	$(ROOT_DIR)/src/env.c \
	$(ROOT_DIR)/src/error.c \
	$(ROOT_DIR)/src/loop.c \
	$(ROOT_DIR)/src/options.c \
	$(ROOT_DIR)/src/pty_fork.c \
	$(ROOT_DIR)/src/pty.c \
	$(ROOT_DIR)/src/util.c

SRC_DIRS=\
	$(ROOT_DIR)/src

MKDIR=mkdir -p
OBJ_DIR=$(ROOT_DIR)/build/$(CONF)
DIST_DIR=$(ROOT_DIR)/dist/$(CONF)
INSTALL_DIR=../../release/bin/nativeexecution/$(CONF)
LINE=sh $(ROOT_DIR)/make/line

EXEC=$(DIST_DIR)/$(PNAME)


CF_COMMON         = --std=c99 -s -O2
CF_Linux-x86      = $(CF_COMMON) -DLINUX   -D_GNU_SOURCE -D_XOPEN_SOURCE=700 -m32
CF_Linux-x86_64   = $(CF_COMMON) -DLINUX   -D_GNU_SOURCE -D_XOPEN_SOURCE=700 -m64
CF_Linux-arm      = $(CF_COMMON) -DLINUX   -D_GNU_SOURCE -D_XOPEN_SOURCE=700 -std=c99
CF_MacOSX-x86     = $(CF_COMMON) -DMAXOSX  -D_DARWIN_C_SOURCE -m32
CF_MacOSX-x86_64  = $(CF_COMMON) -DMAXOSX  -D_DARWIN_C_SOURCE -m64
CF_SunOS-sparc    = $(CF_COMMON) -DSOLARIS -D__EXTENSIONS__ -m32
CF_SunOS-sparc_64 = $(CF_COMMON) -DSOLARIS -D__EXTENSIONS__ -m64
CF_SunOS-x86      = $(CF_COMMON) -DSOLARIS -D__EXTENSIONS__ -m32
CF_SunOS-x86_64   = $(CF_COMMON) -DSOLARIS -D__EXTENSIONS__ -m64
CF_Windows-x86    = $(CF_COMMON) -DWINDOWS -m32
CF_Windows-x86_64 = $(CF_COMMON) -DWINDOWS -m32

LF_Windows-x86    = --static-libgcc
LF_Windows-x86_64 = --static-libgcc

CFLAGS=$(CF_$(CONF))
LDFLAGS=$(LF_$(CONF))

all: $(EXEC)
	@$(LINE) =
	@echo $(EXEC); echo
	@ls -la $(EXEC) | sed "s#$(EXEC)##"
	@FILE=`(ls /bin/file || ls /usr/bin/file) 2>/dev/null`; \
	   if [ -n "$${FILE}" ]; then $${FILE} ${EXEC} | sed "s#$(EXEC):.##"; fi
	@$(LINE) =

include $(ROOT_DIR)/make/Makefile.$(MAKEFILE)

$(EXEC): $(DIST_DIR) $(OBJS)
	@$(LINE) -
	$(LINK.c) -o $@ $(OBJS)

$(OBJ_DIRS) $(DIST_DIR):
	$(MKDIR) $@

clean: clean_deps
	$(RM) -r $(OBJ_DIR) $(DIST_DIR)

clean-all:
	$(RM) -r $(ROOT_DIR)/build
	$(RM) -r $(ROOT_DIR)/dist
	$(RM) .make.state*

install:
	cp $(EXEC) $(INSTALL_DIR)

=== dlight.nativeexecution/tools/unbuffer/Makefile ===
MAKEFILE = $(shell echo gmake)
MAKEFILE:sh = echo make
ROOT_DIR = $(shell pwd)
ROOT_DIR:sh = pwd
OS = $(shell uname -s)
OS:sh = uname -s

ifeq (armv, $(shell expr substr `arch` 1 4))
    CONF=$(OS)-arm
else
    CONF=$(OS)-x86
endif

CC=gcc

SOURCES=\
	$(ROOT_DIR)/src/unbuffer.c

SRC_DIRS=\
	$(ROOT_DIR)/src

MKDIR=mkdir -p
OBJ_DIR=$(ROOT_DIR)/build/$(CONF)
DIST_DIR=$(ROOT_DIR)/dist/$(CONF)
INSTALL_DIR=../../release/bin/nativeexecution/$(CONF)
LINE=sh $(ROOT_DIR)/make/line

CF_COMMON         = -s -O2
CF_Linux-x86      = $(CF_COMMON) -DLINUX -shared -fPIC -m32
EX_Linux-x86      = unbuffer.so
CF_Linux-arm      = $(CF_COMMON) -DLINUX -shared -fPIC
EX_Linux-arm      = unbuffer.so
CF_Linux-x86_64   = $(CF_COMMON) -DLINUX -shared -fPIC -m64
EX_Linux-x86_64   = unbuffer.so
CF_MacOSX-x86     = $(CF_COMMON) -DMAXOSX  -shared -m32
EX_MacOSX-x86     = unbuffer.dylib
CF_MacOSX-x86_64  = $(CF_COMMON) -DMAXOSX  -shared -m64
EX_MacOSX-x86_64  = unbuffer.dylib
CF_SunOS-sparc    = $(CF_COMMON) -DSOLARIS -G -fPIC -m32
EX_SunOS-sparc    = unbuffer.so
CF_SunOS-sparc_64 = $(CF_COMMON) -DSOLARIS -G -fPIC -m64
EX_SunOS-sparc_64 = unbuffer.so
CF_SunOS-x86      = $(CF_COMMON) -DSOLARIS -G -fPIC -m32
EX_SunOS-x86      = unbuffer.so
CF_SunOS-x86_64   = $(CF_COMMON) -DSOLARIS -G -fPIC -m64
EX_SunOS-x86_64   = unbuffer.so
CF_Windows-x86    = $(CF_COMMON) -DWINDOWS -shared -m32
EX_Windows-x86    = unbuffer.dll
CF_Windows-x86_64 = $(CF_COMMON) -DWINDOWS -shared -m32
EX_Windows-x86_64 = unbuffer.dll

LF_Windows-x86    = --static-libgcc
LF_Windows-x86_64 = --static-libgcc

CFLAGS=$(CF_$(CONF))
LDFLAGS=$(LF_$(CONF))

PNAME=$(EX_$(CONF))

EXEC=$(DIST_DIR)/$(PNAME)

all: $(EXEC)
	@$(LINE) =
	@echo $(EXEC); echo
	@ls -la $(EXEC) | sed "s#$(EXEC)##"
	@FILE=`(ls /bin/file || ls /usr/bin/file) 2>/dev/null`; \
	   if [ -n "$${FILE}" ]; then $${FILE} ${EXEC} | sed "s#$(EXEC):.##"; fi
	@$(LINE) =

include $(ROOT_DIR)/make/Makefile.$(MAKEFILE)

$(EXEC): $(DIST_DIR) $(OBJS)
	@$(LINE) -
	$(LINK.c) -o $@ $(OBJS)

$(OBJ_DIRS) $(DIST_DIR):
	$(MKDIR) $@

clean: clean_deps
	$(RM) -r $(OBJ_DIR) $(DIST_DIR)

clean-all:
	$(RM) -r $(ROOT_DIR)/build
	$(RM) -r $(ROOT_DIR)/dist
	$(RM) .make.state*

install:
	cp $(EXEC) $(INSTALL_DIR)

=== dlight.remote.impl/tools/fs_server/Makefile ===
MAKEFILE = $(shell echo gmake)
MAKEFILE:sh = echo make
ROOT_DIR = $(shell pwd)
ROOT_DIR:sh = pwd
OS = $(shell uname -s)
OS:sh = uname -s
ARCH = $(shell arch)
ARCH:sh = arch

ifeq (Darwin,$(OS))
  OS = MacOSX
endif

ifeq (armv, $(shell expr substr `arch` 1 4))
    OS_ARCH = $(OS)-arm
else ifeq (sun4, $(ARCH))
  OS_ARCH = $(OS)-sparc
else
  OS_ARCH = $(OS)-x86
endif

ifdef 64BITS
    CONF=$(OS_ARCH)_64
else
    CONF=$(OS_ARCH)
endif


PNAME=fs_server

CC_COMMON=gcc
CC_Linux-x86      = $(CC_COMMON)
CC_Linux-x86_64   = $(CC_COMMON)
CC_Linux-arm      = $(CC_COMMON)
CC_MacOSX-x86     = clang 
CC_MacOSX-x86_64  = clang 
CC_SunOS-sparc    = $(CC_COMMON)
CC_SunOS-sparc_64 = $(CC_COMMON)
CC_SunOS-x86      = $(CC_COMMON)
CC_SunOS-x86_64   = $(CC_COMMON)
CC_Windows-x86    = $(CC_COMMON)
CC_Windows-x86_64 = $(CC_COMMON)
CC_FreeBSD-x86    = $(CC_COMMON)
CC_FreeBSD-x86_64 = $(CC_COMMON)
CC=$(CC_$(CONF))

ifdef PARFAIT
   CC=parfait-gcc
endif

SOURCES=\
	$(ROOT_DIR)/src/fs_server.c \
	$(ROOT_DIR)/src/queue.c \
	$(ROOT_DIR)/src/blocking_queue.c \
	$(ROOT_DIR)/src/util.c \
	$(ROOT_DIR)/src/dirtab.c \
	$(ROOT_DIR)/src/array.c

SRC_DIRS=\
	$(ROOT_DIR)/src

MKDIR=mkdir -p
OBJ_DIR=$(ROOT_DIR)/build/$(CONF)
DIST_DIR=$(ROOT_DIR)/../../release/bin/$(CONF)
INSTALL_DIR=../../../nbbuild/netbeans/dlight/bin$(CONF)
LINE=sh $(ROOT_DIR)/make/line

EXEC=$(DIST_DIR)/$(PNAME)


#CF_COMMON         = --std=c99 -s -O2
CF_COMMON         = --std=c99 -g -Wall -Werror -D_REENTRANT
CF_Linux-arm      = $(CF_COMMON) -DLINUX   -D_GNU_SOURCE -D_XOPEN_SOURCE=700
CF_Linux-x86      = $(CF_COMMON) -DLINUX   -D_GNU_SOURCE -D_XOPEN_SOURCE=700 -m32
CF_Linux-x86_64   = $(CF_COMMON) -DLINUX   -D_GNU_SOURCE -D_XOPEN_SOURCE=700 -m64
CF_MacOSX-x86     = $(CF_COMMON) -DMAXOSX  -D_DARWIN_C_SOURCE -m32
CF_MacOSX-x86_64  = $(CF_COMMON) -DMAXOSX  -D_DARWIN_C_SOURCE -m64
CF_SunOS-sparc    = $(CF_COMMON) -DSOLARIS -D__EXTENSIONS__ -D_POSIX_PTHREAD_SEMANTICS -m32
CF_SunOS-sparc_64 = $(CF_COMMON) -DSOLARIS -D__EXTENSIONS__ -D_POSIX_PTHREAD_SEMANTICS -m64
CF_SunOS-x86      = $(CF_COMMON) -DSOLARIS -D__EXTENSIONS__ -D_POSIX_PTHREAD_SEMANTICS -m32
CF_SunOS-x86_64   = $(CF_COMMON) -DSOLARIS -D__EXTENSIONS__ -D_POSIX_PTHREAD_SEMANTICS -m64
CF_Windows-x86    = $(CF_COMMON) -DWINDOWS -m32
CF_Windows-x86_64 = $(CF_COMMON) -DWINDOWS -m32
CF_FreeBSD-x86    = $(CF_COMMON) -D_GNU_SOURCE -m32
CF_FreeBSD-x86_64 = $(CF_COMMON) -D_GNU_SOURCE -m64

LF_Windows-x86    = --static-libgcc
LF_Windows-x86_64 = --static-libgcc
LF_Linux-x86      = $(LF_COMMON)
LF_Linux-x86_64   = $(LF_COMMON)

CFLAGS=$(CF_$(CONF))
LDFLAGS=$(LF_$(CONF)) -lpthread

all: $(EXEC)
	@$(LINE) =
	@(cd `dirname $(EXEC)`; echo "`pwd`/`basename $(EXEC)`"); echo
	@#echo $(EXEC); echo
	@ls -la $(EXEC) | sed "s#$(EXEC)##"
	@FILE=`(ls /bin/file || ls /usr/bin/file) 2>/dev/null`; \
	   if [ -n "$${FILE}" ]; then $${FILE} ${EXEC} | sed "s#$(EXEC):.##"; fi
	@$(LINE) =

parfait: all
	@echo Processing parfait output. This can take a while...
	@parfait --enable=all $(OBJ_DIRS)/*.bc

include $(ROOT_DIR)/make/Makefile.$(MAKEFILE)

$(EXEC): $(DIST_DIR) $(OBJS)
	@$(LINE) -
	$(LINK.c) -o $@ $(OBJS) -lpthread

$(OBJ_DIRS) $(DIST_DIR):
	$(MKDIR) $@

clean: clean_deps
	$(RM) -r $(OBJ_DIR) $(DIST_DIR)

clean-all:
	$(RM) -r $(ROOT_DIR)/build
	$(RM) -r $(ROOT_DIR)/dist
	$(RM) .make.state*

install:
	cp $(EXEC) $(INSTALL_DIR)

=== debian/changelog ===
netbeans (8.0.2+dfsg1-4) unstable; urgency=medium

  * Drop Css3Parser-antlr.patch because with Antlr 3.5.2 this patch is
    obsolete.
  * Add antlr-3.5.2.patch and fix FTBFS with Antlr 3.5.2.
  * Build-Depend and depend on antlr (>= 3.5.2).
  * d/rules: Use find, xargs and touch to adjust file mtimes before zip is run.

 -- Markus Koschany <apo@gambaru.de>  Thu, 23 Jul 2015 17:36:43 +0200

netbeans (8.0.2+dfsg1-3) unstable; urgency=medium

  * debian/copyright: Add missing W3C license.
  * Symlink Debian's jgit jars to ide/modules directory.
  * Symlink SVN and SSH modules to Debian's system jar files.
  * debian/pom: Remove openide-* pom files. They are obsolete now.

 -- Markus Koschany <apo@gambaru.de>  Mon, 29 Jun 2015 15:57:00 +0200

netbeans (8.0.2+dfsg1-2) unstable; urgency=medium

  * Add reproducible-build.patch.
    Use a fixed date for the install_time variable and make the build a bit
    more reproducible.
  * Export TZ=UTC to force zip to use UTC. Another measure to make the build
    reproducible.
  * Tighten dependency for platform packages to >= 8.0.2.

 -- Markus Koschany <apo@gambaru.de>  Sat, 20 Jun 2015 17:05:34 +0200

netbeans (8.0.2+dfsg1-1) unstable; urgency=medium

  * New upstream release. (Closes: #673606, #713182)
    - Fixes GUI Editor is not working. (Closes: #653915, #677125)
    - The subversion module does not transmit passwords in svn's commandline
      arguments. (Closes: #642143)
    - All tutorial links can be opened in different web browsers.
      (Closes: #642142)
    - The enter key is working as expected again. (Closes: #667736)
  * Support building with mingw-w64 instead of mingw32. (Closes: #680468)
    Thanks to Stephen Kitt for the report and patch.
  * Netbeans 8.0.2 supports the native look and feel by default now.
    (Closes: #698154)
  * Fix Netbeans' subversion support by adding netbeans-svnclient.patch.
    (Closes: #698514, #668015)
  * Remove Andres Mejia and Yuli Novozhilova from Uploaders because they are
    apparently not active anymore. (Closes: #743562)
  * Remove all minified Javascript files from the original tarball and improve
    the orig.tar.sh script. (Closes: #737442)
  * Fix bashism in nbexec script. (Closes: #772326)
  * Replace w3c-dtd-xhtml with w3c-sgml-lib because the former is going to be
    removed from Debian. (Closes: #787176)
  * Java7 is the default JDK now and Netbeans 8.0.2 will no longer hang when
    creating new projects or crash with a NoClassDefFoundError on startup.
    (Closes: #729664, #744369, #728689)
  * Use compat level 9 and require debhelper >= 9.
  * Update debian/copyright for new release.
  * Add source/lintian-overrides and override false postives.
    + netbeans: license-problem-json-evil
    + netbeans: license-problem-php-license
    because these errors are only triggered by license.txt files. The real
    files were already removed from the tarball.
  * Stop building the platform packages and depend on libnb-platform18-java
    instead.
  * debian/control:
    - Remove versioned dependencies because all constraints are satisfied even
      in stable.
    - Declare compliance with Debian Policy 3.9.6.
    - Switch Vcs-Browser fields to cgit.
    - netbeans: Depend on default-jdk and remove alternative dependencies on
      OpenJDK6 because Netbeans requires Java7 to run.
    - Remove obsolete Conflict, Replaces, Provides fields.
    - Depend on libcommons-net-java instead of libcommons-net1-java.
    - Add and remove the following dependencies:
      + libcommons-httpclient-java, libcommons-io-java, libcommons-lang-java,
        libjsch-agent-proxy-java, libjsch-java, libsqljet-java,
        libws-commons-util-java, libjson-simple-java, libeclipselink-java,
        libmysql-java, liblucene3-java,
      - libbetter-appframework-java, liblucene2-java, liboro-java
  * debian/patches:
    - Rebase and update all patches for new release. They are all required to
      fix various build failures and runtime errors and to use Debian's system
      libraries instead of embedded jar files without source code.
      For more information, please refer to the patch headers.
    + New patches:
      Css3Parser-antlr.patch, db.dataview-setRowFilter-method.patch,
      dlight.nativeexecution.patch, netbeans-commons-net.patch,
      netbeans-extexecution.impl.patch, netbeans-javacc.patch,
      netbeans-libs.jaxb.patch, netbeans-o.apache.tools.ant.module.patch,
      netbeans-slf4j.dummy.patch, netbeans-spi.java.hints.patch,
      netbeans-svnclient.patch, netbeans-wildUpperBound.patch,
      netbeans-xml.jaxb.api.patch, netbeans-xsl-httpserver.patch,
      osgi-update.patch
    - Removed patches:
      netbeans-platform~include-extras.patch, netbeans~debugger.jpda.ui.patch,
      netbeans~no-rhino.patch, netbeans~no-test-clean.patch,
      netbeans~old-java-modules.patch, netbeans~o.a.tools.ant.patch,
      netbeans~old-java.source-module.patch, netbeans~svnclient.patch,
      netbeans~xerces.patch, netbeans~xsl.patch
  * debian/rules:
    - Symlink netbeans.png to hicolors directory.
    - Remove obsolete comments and code for building the platform and the
      windows binaries.
    - Simplify get-orig-source target. Download the current version.
  * pom:
    - Update pom.files for new release 8.0.2.
  * Update netbeans.desktop. Add keywords and comments.
  * Add netbeans.menu file and a new netbeans.xpm icon.

 -- Markus Koschany <apo@gambaru.de>  Fri, 19 Jun 2015 14:16:59 +0200

=== debian/control ===
Source: netbeans
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders:
 Andrew Ross <ubuntu@rossfamily.co.uk>,
 Markus Koschany <apo@gambaru.de>
Build-Depends:
 ant,
 ant-optional,
 antlr3 (>= 3.5.2),
 debhelper (>= 9),
 default-jdk,
 javacc,
 javahelp2,
 javahelper,
 junit,
 junit4,
 libbeansbinding-java,
 libbindex-java,
 libbytelist-java,
 libcglib-java,
 libcommons-codec-java,
 libcommons-httpclient-java,
 libcommons-io-java,
 libcommons-lang-java,
 libcommons-logging-java,
 libcommons-net-java,
 libeclipselink-java,
 libequinox-osgi-java,
 libfelix-framework-java,
 libfelix-main-java,
 libfreemarker-java,
 libhamcrest-java,
 libini4j-java,
 libjaxb-api-java,
 libjaxb-java,
 libjemmy2-java,
 libjgit-java,
 libjna-java,
 libjna-platform-java,
 libjnlp-servlet-java,
 libjpa-2.1-spec-java,
 libjsch-agent-proxy-java (>= 0.0.8),
 libjsch-java,
 libjson-simple-java,
 libjvyamlb-java,
 libjzlib-java,
 liblucene3-java,
 libmysql-java,
 libnb-javaparser-java,
 libopenjfx-java,
 libosgi-compendium-java,
 libosgi-core-java,
 libpostgresql-jdbc-java,
 libservlet2.5-java,
 libsimple-validation-java,
 libsqljet-java,
 libstringtemplate-java,
 libsvn-java,
 libsvnclientadapter-java,
 libsvnkit-java,
 libswing-layout-java,
 libswingx-java,
 libtrilead-ssh2-java,
 libws-commons-util-java,
 libxerces2-java,
 libxml-commons-resolver1.1-java,
 maven-repo-helper,
 testng,
 w3c-sgml-lib
Standards-Version: 3.9.6
Homepage: http://netbeans.org/
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-java/netbeans.git
Vcs-Git: git://anonscm.debian.org/pkg-java/netbeans.git

Package: libnb-absolutelayout-java
Architecture: all
Depends:
 ${java:Depends},
 ${misc:Depends}
Description: Java LayoutManager to allow placement in absolute positions
 This library is part of the Netbeans platform and provides an
 implementation of the java.awt.LayoutManager interface. This
 implementation allows you to position components by their
 absolute position.

Package: libnb-apisupport3-java
Architecture: all
Depends:
 libnb-ide14-java (= ${binary:Version}),
 libnb-java5-java (= ${binary:Version}),
 libnb-platform-devel-java (>= 8.0.2),
 libnb-platform18-java (>= 8.0.2),
 ${java:Depends},
 ${misc:Depends}
Description: Common NetBeans Platform Development Related Libraries for NetBeans
 The NetBeans Platform is a set of modules, each providing their own
 APIs and working together or in a standalone mode. This package contains
 common libraries for development of NetBeans Platform modular extensions.

Package: libnb-ide14-java
Architecture: all
Depends:
 antlr3 (>= 3.5.2),
 libbytelist-java,
 libcommons-codec-java,
 libcommons-httpclient-java,
 libcommons-io-java,
 libcommons-lang-java,
 libcommons-logging-java,
 libcommons-net-java,
 libfreemarker-java,
 libini4j-java,
 libjgit-java,
 libjsch-agent-proxy-java (>= 0.0.8),
 libjsch-java,
 libjvyamlb-java,
 libjzlib-java,
 liblucene3-java,
 libmysql-java,
 libnb-platform18-java (>= 8.0.2),
 libpostgresql-jdbc-java,
 libservlet2.5-java,
 libsimple-validation-java,
 libsqljet-java,
 libsvn-java,
 libsvnclientadapter-java,
 libsvnkit-java,
 libswingx-java,
 libtrilead-ssh2-java,
 libws-commons-util-java,
 libxerces2-java,
 libxml-commons-resolver1.1-java,
 ${java:Depends},
 ${misc:Depends}
Description: Common Integrated Development Environment Libraries for NetBeans
 The NetBeans Platform is a set of modules, each providing their own
 APIs and working together or in a standalone mode. This package contains
 independent libraries for use in the NetBeans IDE.

Package: libnb-java5-java
Architecture: all
Depends:
 ant,
 ant-optional,
 junit,
 junit-doc,
 junit4-doc,
 libbeansbinding-java,
 libcglib-java,
 libeclipselink-java,
 libjson-simple-java,
 libnb-absolutelayout-java,
 libnb-ide14-java (= ${binary:Version}),
 libnb-javaparser-java,
 libnb-platform18-java (>= 8.0.2),
 ${java:Depends},
 ${misc:Depends}
Description: Common Java Related Libraries for NetBeans
 The NetBeans Platform is a set of modules, each providing their own
 APIs and working together or in a standalone mode. This package contains
 common libraries for the NetBeans Java IDE.

Package: netbeans
Architecture: all
Depends:
 default-jdk | java7-jdk,
 libnb-apisupport3-java (= ${binary:Version}),
 libnb-ide14-java (= ${binary:Version}),
 libnb-java5-java (= ${binary:Version}),
 libnb-platform18-java (>= 8.0.2),
 ${java:Depends},
 ${misc:Depends}
Description: Extensible Java IDE
 Integrated Development Environment for software developers. It supports
 development of desktop, enterprise, web, and mobile applications. Package
 includes the Base IDE, Java Development Tools and Plug-in Development Tools.
 Support for PHP, Ruby, C/C++, Java EE and others can be added.

=== debian/rules ===
#!/usr/bin/make -f

export JAVA_HOME=/usr/lib/jvm/default-java
export TZ=UTC

# Included clusters
pkg-nb                         := netbeans
base-apisupport                := apisupport3
base-ide                       := ide14
base-java                      := java5
base-nb                        := nb
base-platform                  := platform18

pkg-apisupport                 := libnb-$(base-apisupport)-java
pkg-ide                        := libnb-$(base-ide)-java
pkg-java                       := libnb-$(base-java)-java


NBDIR := /usr/share/netbeans
export JAVADIR := /usr/share/java

JH_JAR           := jhall.jar
JSEARCH_JAR      := jsearch.jar
NB_JH_JAR        := jhall-2.0_05.jar
NB_JSEARCH_JAR   := jsearch-2.0_05.jar

NB_INSTALL_DIR   := usr/share/netbeans


INSTALL          := dh_install -p
LINK             := dh_link -p

DEB_UPSTREAM_VERSION = $(shell dpkg-parsechangelog | \
                       grep -e '^Version' | \
                       perl -pi -e 's/^Version:\s+(.*)\+dfsg\d+-\d+.*$$/$$1/')

BUILDSTAMP := $(shell date --utc --date="`dpkg-parsechangelog -SDate`" "+%Y%m%d")
BUILD_DATE := $(shell dpkg-parsechangelog --show-field=Date)

# Defined function to be used to create symlinks
define symlink
	mkdir -p $(dir $(2))
	ln -sf $(1) $(2)
endef

%:
	dh $@ --with javahelper


override_dh_auto_build:
	# w3c-sgml-lib: needed for xml validation, otherwise FTBFS
	mkdir -p nbbuild/external/xhtml1-dtds
	ln -sf /usr/share/xml/w3c-sgml-lib/schema/dtd/REC-xhtml1-20020801/xhtml* nbbuild/external/xhtml1-dtds
	ln -sf /usr/share/xml/w3c-sgml-lib/schema/dtd/REC-xhtml-modularization-20100729/xhtml* nbbuild/external/xhtml1-dtds
	# link Debian's system jars
	$(shell awk 'NF==4 {printf("ln -sf %s %s/%s;\n",$$1,$$2,$$4)}' debian/linked-jars)
	# ReproducibleBuilds TimestampsInZip
	# https://wiki.debian.org/ReproducibleBuilds/TimestampsInZip
	find '$(CURDIR)' -newermt '$(BUILD_DATE)' -print0 | \
		xargs -0r touch --no-dereference --date='$(BUILD_DATE)'
	################################################################
	# Build the IDE. DISPLAY must be unset to avoid build failures.
	unset DISPLAY; ant \
	-Dbuildstamp=$(BUILDSTAMP) \
	-Dhg.id=debian-$(DEB_UPSTREAM_VERSION) \
	-Dpermit.jdk7.builds=true \
	-Dbuild.compiler.deprecation=false \
	-Dbuild.compiler.debug=false \
	-Dext.binaries.downloaded=true \
	-Dverify.checkout=false \
	-Dcluster.config=basic \
	-f nbbuild/build.xml build-nozip



override_dh_auto_install:
	# recreate links
	$(shell awk 'NF==4 {printf("ln -sf %s nbbuild/netbeans/%s/%s;\n",$$1,$$3,$$4)}' debian/linked-jars)
	# Install libraries
	mh_installjar -plibnb-absolutelayout-java -l debian/pom/AbsoluteLayout.xml \
		nbbuild/netbeans/java/modules/ext/AbsoluteLayout.jar
	mh_installpom -plibnb-absolutelayout-java debian/pom/AbsoluteLayout.xml
	#
	# Install IDE package files
	echo > nbbuild/netbeans/ide/.noautoupdate
	echo > nbbuild/netbeans/ide/.lastModified
	$(INSTALL)$(pkg-ide) nbbuild/netbeans/ide/*               $(NB_INSTALL_DIR)/$(base-ide)
	$(INSTALL)$(pkg-ide) nbbuild/netbeans/ide/.noautoupdate   $(NB_INSTALL_DIR)/$(base-ide)
	$(INSTALL)$(pkg-ide) nbbuild/netbeans/ide/.lastModified   $(NB_INSTALL_DIR)/$(base-ide)
	# See netbeans-slf4j.dummy.patch for further information
	$(LINK)$(pkg-ide) usr/share/java/slf4j-api.jar $(NB_INSTALL_DIR)/$(base-ide)/modules/slf4j-dummy.jar
	# Symlink IDE modules to corresponding system jar files
	$(LINK)$(pkg-ide) usr/share/java/org.eclipse.jgit.jar $(NB_INSTALL_DIR)/$(base-ide)/modules/org-eclipse-jgit.jar
	$(LINK)$(pkg-ide) usr/share/java/org.eclipse.jgit.java7.jar $(NB_INSTALL_DIR)/$(base-ide)/modules/org-eclipse-jgit-java7.jar
	$(LINK)$(pkg-ide) usr/share/java/sqljet.jar $(NB_INSTALL_DIR)/$(base-ide)/modules/ext/sqljet.jar
	$(LINK)$(pkg-ide) usr/share/java/svnClientAdapter.jar $(NB_INSTALL_DIR)/$(base-ide)/modules/ext/svnClientAdapter-main.jar
	$(LINK)$(pkg-ide) usr/share/java/svn-javahl.jar $(NB_INSTALL_DIR)/$(base-ide)/modules/ext/svnjavahl.jar
	$(LINK)$(pkg-ide) usr/share/java/svnkit-javahl16.jar $(NB_INSTALL_DIR)/$(base-ide)/modules/ext/svnkit-javahl16.jar
	$(LINK)$(pkg-ide) usr/share/java/trilead-ssh2.jar $(NB_INSTALL_DIR)/$(base-ide)/modules/ext/trilead.ssh2.jar
	$(LINK)$(pkg-ide) usr/share/java/jsch.agentproxy.usocket-jna.jar $(NB_INSTALL_DIR)/$(base-ide)/modules/ext/jsch-agentproxy-usocket-jna.jar
	$(LINK)$(pkg-ide) usr/share/java/jsch.agentproxy.sshagent.jar $(NB_INSTALL_DIR)/$(base-ide)/modules/ext/jsch-agentproxy-sshagent.jar
	$(LINK)$(pkg-ide) usr/share/java/jsch.agentproxy.pageant.jar $(NB_INSTALL_DIR)/$(base-ide)/modules/ext/jsch-agentproxy-pageant.jar
	$(LINK)$(pkg-ide) usr/share/java/jsch.agentproxy.core.jar $(NB_INSTALL_DIR)/$(base-ide)/modules/ext/jsch-agentproxy-core.jar

	# Install Java package files
	echo > nbbuild/netbeans/java/.noautoupdate
	echo > nbbuild/netbeans/java/.lastModified
	$(INSTALL)$(pkg-java) nbbuild/netbeans/extide/*           $(NB_INSTALL_DIR)/$(base-java)
	$(INSTALL)$(pkg-java) nbbuild/netbeans/java/*             $(NB_INSTALL_DIR)/$(base-java)
	$(INSTALL)$(pkg-java) nbbuild/netbeans/java/.noautoupdate $(NB_INSTALL_DIR)/$(base-java)
	$(INSTALL)$(pkg-java) nbbuild/netbeans/java/.lastModified $(NB_INSTALL_DIR)/$(base-java)
	# Link in Ant libraries and binaries
	-rmdir debian/$(pkg-java)/$(NB_INSTALL_DIR)/$(base-java)/ant/lib
	$(LINK)$(pkg-java)    usr/share/ant/bin     $(NB_INSTALL_DIR)/$(base-java)/ant/bin
	$(LINK)$(pkg-java)    usr/share/ant/etc     $(NB_INSTALL_DIR)/$(base-java)/ant/etc
	$(LINK)$(pkg-java)    usr/share/ant/lib     $(NB_INSTALL_DIR)/$(base-java)/ant/lib
	# Link in AbsoluteLayout jar
	-rm debian/$(pkg-java)/$(NB_INSTALL_DIR)/$(base-java)/modules/ext/AbsoluteLayout.jar
	$(LINK)$(pkg-java)    usr/share/java/AbsoluteLayout.jar  $(NB_INSTALL_DIR)/$(base-java)/modules/ext/AbsoluteLayout.jar

	# Install API support package files
	echo > nbbuild/netbeans/apisupport/.noautoupdate
	echo > nbbuild/netbeans/apisupport/.lastModified
	$(INSTALL)$(pkg-apisupport) nbbuild/netbeans/apisupport/*              $(NB_INSTALL_DIR)/$(base-apisupport)
	$(INSTALL)$(pkg-apisupport) nbbuild/netbeans/apisupport/.noautoupdate  $(NB_INSTALL_DIR)/$(base-apisupport)
	$(INSTALL)$(pkg-apisupport) nbbuild/netbeans/apisupport/.lastModified  $(NB_INSTALL_DIR)/$(base-apisupport)
	# Install Netbeans package files
	echo > nbbuild/netbeans/nb/.noautoupdate
	$(INSTALL)$(pkg-nb) nbbuild/netbeans/nb/*               $(NB_INSTALL_DIR)/$(DEB_UPSTREAM_VERSION)/nb
	$(INSTALL)$(pkg-nb) nbbuild/netbeans/nb/.lastModified   $(NB_INSTALL_DIR)/$(DEB_UPSTREAM_VERSION)/nb
	$(INSTALL)$(pkg-nb) nbbuild/netbeans/nb/.noautoupdate   $(NB_INSTALL_DIR)/$(DEB_UPSTREAM_VERSION)/nb
	$(INSTALL)$(pkg-nb) nbbuild/netbeans/bin/*              $(NB_INSTALL_DIR)/$(DEB_UPSTREAM_VERSION)/bin
	$(INSTALL)$(pkg-nb) nbbuild/netbeans/CREDITS.html                 usr/share/$(pkg-nb)
	$(INSTALL)$(pkg-nb) nbbuild/netbeans/README.html                  usr/share/$(pkg-nb)
	$(INSTALL)$(pkg-nb) nbbuild/netbeans/netbeans.css                 usr/share/$(pkg-nb)
	$(LINK)$(pkg-nb)    $(NB_INSTALL_DIR)/$(base-platform) $(NB_INSTALL_DIR)/$(DEB_UPSTREAM_VERSION)/platform
	$(LINK)$(pkg-nb)    $(NB_INSTALL_DIR)/harness          $(NB_INSTALL_DIR)/$(DEB_UPSTREAM_VERSION)/harness
	$(LINK)$(pkg-nb)    $(NB_INSTALL_DIR)/$(base-apisupport) $(NB_INSTALL_DIR)/$(DEB_UPSTREAM_VERSION)/apisupport
	$(LINK)$(pkg-nb)    $(NB_INSTALL_DIR)/$(base-ide)        $(NB_INSTALL_DIR)/$(DEB_UPSTREAM_VERSION)/ide
	$(LINK)$(pkg-nb)    $(NB_INSTALL_DIR)/$(base-java)       $(NB_INSTALL_DIR)/$(DEB_UPSTREAM_VERSION)/java
	# Symlink netbeans icon to the appropriate hicolor directory
	$(LINK)$(pkg-nb) $(NB_INSTALL_DIR)/$(DEB_UPSTREAM_VERSION)/nb/netbeans.png \
	/usr/share/icons/hicolor/32x32/apps/netbeans.png

	# Create file marker to avoid displaying license dialog at first IDE start
	echo > debian/license_accepted
	$(INSTALL)$(pkg-nb) debian/license_accepted $(NB_INSTALL_DIR)/$(DEB_UPSTREAM_VERSION)/nb/var

## netbeans 8.1%2Bdfsg3

=== cnd.makeproject/samples_src/hellocmake/CMakeLists.txt ===
project (HelloCMake)
add_subdirectory (src)

=== cnd.remote/test/unit/data/org/netbeans/modules/cnd/remote/pbuild/RemoteBuildRequiredProjectsTestCase/A/Makefile ===
#
#  There exist several targets which are by default empty and which can be 
#  used for execution of your targets. These targets are usually executed 
#  before and after some main targets. They are: 
#
#     .build-pre:              called before 'build' target
#     .build-post:             called after 'build' target
#     .clean-pre:              called before 'clean' target
#     .clean-post:             called after 'clean' target
#     .clobber-pre:            called before 'clobber' target
#     .clobber-post:           called after 'clobber' target
#     .all-pre:                called before 'all' target
#     .all-post:               called after 'all' target
#     .help-pre:               called before 'help' target
#     .help-post:              called after 'help' target
#
#  Targets beginning with '.' are not intended to be called on their own.
#
#  Main targets can be executed directly, and they are:
#  
#     build                    build a specific configuration
#     clean                    remove built files from a configuration
#     clobber                  remove all built files
#     all                      build all configurations
#     help                     print help mesage
#  
#  Targets .build-impl, .clean-impl, .clobber-impl, .all-impl, and
#  .help-impl are implemented in nbproject/makefile-impl.mk.
#
#  Available make variables:
#
#     CND_BASEDIR                base directory for relative paths
#     CND_DISTDIR                default top distribution directory (build artifacts)
#     CND_BUILDDIR               default top build directory (object files, ...)
#     CONF                       name of current configuration
#     CND_PLATFORM_${CONF}       platform name (current configuration)
#     CND_ARTIFACT_DIR_${CONF}   directory of build artifact (current configuration)
#     CND_ARTIFACT_NAME_${CONF}  name of build artifact (current configuration)
#     CND_ARTIFACT_PATH_${CONF}  path to build artifact (current configuration)
#     CND_PACKAGE_DIR_${CONF}    directory of package (current configuration)
#     CND_PACKAGE_NAME_${CONF}   name of package (current configuration)
#     CND_PACKAGE_PATH_${CONF}   path to package (current configuration)
#
# NOCDDL


# Environment 
MKDIR=mkdir
CP=cp
CCADMIN=CCadmin


# build
build: .build-post

.build-pre:
# Add your pre 'build' code here...
	echo "Building A"

.build-post: .build-impl
# Add your post 'build' code here...
	echo "Done A"


# clean
clean: .clean-post

.clean-pre:
# Add your pre 'clean' code here...

.clean-post: .clean-impl
# Add your post 'clean' code here...


# clobber
clobber: .clobber-post

.clobber-pre:
# Add your pre 'clobber' code here...

.clobber-post: .clobber-impl
# Add your post 'clobber' code here...


# all
all: .all-post

.all-pre:
# Add your pre 'all' code here...

.all-post: .all-impl
# Add your post 'all' code here...


# build tests
build-tests: .build-tests-post

.build-tests-pre:
# Add your pre 'build-tests' code here...

.build-tests-post: .build-tests-impl
# Add your post 'build-tests' code here...


# run tests
test: .test-post

.test-pre:
# Add your pre 'test' code here...

.test-post: .test-impl
# Add your post 'test' code here...


# help
help: .help-post

.help-pre:
# Add your pre 'help' code here...

.help-post: .help-impl
# Add your post 'help' code here...



# include project implementation makefile
include nbproject/Makefile-impl.mk

# include project make variables
include nbproject/Makefile-variables.mk
